<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$idDoc=$sessao->getVar('transfere');
$cliente=strtoupper($sessao->getVar('cliente' ) ?? "");
if(substr(strtoupper($cliente ?? ""),0,8)=='DIMICRON')$cliente="DIMICRON";//este casuismo é necessario pois a ricetec é RiceTec......

if(substr(strtoupper($cliente ?? ""),0,7)=='RICETEC')$cliente="RICETEC";//este casuismo é necessario pois a ricetec é RiceTec......
//echo("cliente=$cliente<br>");

//echo("1xxxxxxxxxxxxxxidDocumento= $idDoc<br>");

$nomeOperador=$sessao->getVar('nomeuser');
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
		
			 $pdf->AliasNbPages();
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 //$maximoLAdobe=297;//isso para horizontal
			 //$maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=15;
		     $margemEsquerda=15;
			 $margem=$margemEsquerda;
			 $margemDireita=$maximoLAdobe-11;
			 $larguraUtil=$maximoLAdobe-31;//era 16
 	 		 $futer=$maximoHAdobe-10;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
			 $larguraDaLinha=4;
	 //AQUI COMECA PARTE DO BOLETIM 2013
 
     //PARAMETROS GERAIS
     //altura util=210  largura util=297(dados do adobe)
     $pdf->AddPage();//adicionando a primera pafina 
	                $vetorNormas=$objetocalculo->capturaNormas("Informe","DIMICRON",$idLabo);
					$posicaoNorma=154;
					$pdf->Rect($posicaoNorma,10,40,15);
					$pdf->SetFont('Times','',8);
					$pdf->setXY($posicaoNorma,10);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[1]),0,0);
					$pdf->setXY($posicaoNorma,14);  $pdf->Cell(40,4,utf8_decode("Emissão:".$vetorNormas[2]),0,0);
					$pdf->setXY($posicaoNorma,18);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[3]),0,0);
  

	 //largura de uma margem a outra = 281  se eu imprimo algo esta soma nao pode ultrapassar este valor
	 $cinza=220;
	 $pdf->SetFillColor($cinza,$cinza,$cinza);
	 $grosso=0.7;
	 $medio=0.4;
	 $fino=0.3;
	 $extraFino=0.2;
	 //ESTAS COTAS SAO AS COTRAS DAS LINHAS HORINTAIS GROSSAS QUE SERVEM DE ORIGEM PARA O QUE VEM A SEGUIR
	 $cota1=10;//inicio de tudo
	 $cota1a=35;//final do cabecalho
	 $cota2=38;

	 $cota4=92;
	 //$cota5=145;
	 //$cota6=149;
	 //$cota7=157; //estas duas cotas sao definidas aqui memsmo
     $cota8=200;  //usara 195 se for colocar o rodape na munheca, mas pode usar a funcao footer que da mais 5 milimetros
	 //LINHAS LATERAIS DO  cabecalho
	 $pdf->SetLineWidth($grosso);
	 $pdf->Rect($margemEsquerda,$cota1,$larguraUtil,25);
	
     ####################################CABECALHO################################################
     $vetorCabecalho=$objetocalculo->dadoslaboratorio();
	 //$pdf->Cell(30,10,'Angela',1,0,'C'); 30=largura  10=altura   angela=texto   1=com borda    0=quebra de linhya a direita      Centralizado(L,C,R) SINTAXE.....
	 $posicaoCab1=60;$posicaoCab2=245;
	 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
	 //echo("caminhofinal=$caminhoFinal<br>");
	 $pdf->Image($caminhoFinal,$margemEsquerda+1,11,48,23,'JPG');
	 //o/a didentificacao do lab
	 $pdf->SetFont('Times','B',9);
	 $pdf->setXY($posicaoCab1,$cota1);
	 $largCab=94;
	 $pdf->Cell($largCab,5,utf8_decode($vetorCabecalho[0]),0,1,'C');//lab nome
	 //$pdf->SetFont('Times','',10);
	 $pdf->setXY($posicaoCab1,$cota1+5);
	 $pdf->Cell($largCab,5,utf8_decode($vetorCabecalho[1]),0,1,'C');
	 $pdf->Ln(0);
	 $pdf->Cell($posicaoCab1-$margemEsquerda);
	 $pdf->Cell($largCab,5,utf8_decode($vetorCabecalho[2]),0,1,'C');
	 $pdf->Ln(0);
	 $pdf->Cell($posicaoCab1-$margemEsquerda);
	 //$pdf->Cell(185,5,utf8_decode($vetorCabecalho[3]),0.5,1,'C');
	 $pdf->Cell($largCab,5,utf8_decode($vetorCabecalho[3]),0,1,'C');
	 $pdf->Ln(0);
	 $pdf->Cell($posicaoCab1-$margemEsquerda);
	 $pdf->Cell($largCab,5,utf8_decode($vetorCabecalho[4]),0,1,'C');
	 //aqui cria o vetor que todos documentos vao ter em comum(nume documento, daos do remetente, da especie/cultivar, data documento etc)
     $vetorDadosDocumento=$objetocalculo->dados_gerais_documento($idDoc);
	 $pdf->SetLineWidth($medio);
	 $pdf->SetFont('Times','B',10);
	 $pdf->setXY($margemEsquerda,$cota2);
 
	 $texto=number_format($vetorDadosDocumento[1]/1000,3,'','');;//NUMERO DO INFORME
	 $texto1=$vetorDadosDocumento[4];//ANO DO INFORME
	 //$texto1="  de  ".date("d/m/y",strtotime($texto1));
	 $texto1="/".date("y",strtotime($texto1));
	 $pdf->Cell($larguraUtil,5,utf8_decode('INFORMAÇÃO DE RESULTADO Nº ') .$texto.$texto1,1,1,'C');

	 $pdf->SetFont('Times','',10);
	 $pdf->setXY($margem,$cota2+10);
        	 $pdf->Cell(180,$larguraDaLinha,utf8_decode('Resultado de análise de:'.$vetorDadosDocumento[2]) ,0,0,'L');
		 //imprime o nome cientifico mas tem que se colado ao nome comum
         $pdf->SetFont('Times','I',10);
		 //mede o tamanho do nome comum e acrescenta ao espaco usado para imprimir o texto fixo  [ Resultado de análise de:  ]
		 $tama=strlen($vetorDadosDocumento[2])*1.4;//mede tamanho nome comum .Multiplica por 3 pois sao 3 mm por letra e  este 15 ai é o taamanhao do rotulo especie que vem antes
		 $derrapador=72+$tama;//era 1.2  e 60
		 $pdf->setXY($derrapador,$cota2+10);
	         $pdf->Cell(100,$larguraDaLinha,'('.$vetorDadosDocumento[13].')' ,0,1,'L');//nome cientifico da especie
          	 $pdf->SetFont('Times','',10);
		 $pdf->setXY($margem,$cota2+16);
	         $pdf->Cell(100,$larguraDaLinha,'Requerente:  '.utf8_decode($vetorDadosDocumento[0]) ,0,1,'L');
		 $pdf->setXY($margem,$cota2+22);
         $pdf->Cell(100,$larguraDaLinha,utf8_decode('Endereço:  '.$vetorDadosDocumento[8]) ,0,1,'L');
		 $data=$pdf->vetorFicha[6];
		 $dia=substr($data,8,2);
		 $mes=substr($data,5,2);
		 $ano=substr($data,0,4);//ano   1951-02-28
		 $dataFinal=$dia."/".$mes."/".$ano;
		 $pdf->setXY($margem,$cota2+28);
	     $pdf->Cell(93,$larguraDaLinha,'Data do recebimento da amostra:'.$vetorDadosDocumento[12],0,1,'L');
		 //IMPRIME A LEGENDA PROIBIDA COMERCIALIZACAO
         $pdf->SetFont('Times','BI',10);
		 $pdf->setXY(60,$cota2+36.5);
	         $pdf->Cell(100,9,' ',1,0,'C',1);//MOLDURA HACHURRIADA
		 $pdf->setXY(61,$cota2+37);
	         $pdf->Cell(95,4,utf8_decode('PROIBIDA A COMERCIALIZAÇÃO'),0,0,'C',1);
		 $pdf->setXY(61,$cota2+41);
	         $pdf->Cell(95,4,utf8_decode('Art. 84,$1º e $2º, do Decreto nº 5.153, de 23.07.04'),0,0,'C',1);
		 
	
	 ############RESULTADO DE ANALISE########################
 	 #################vai capturar os resultados e jogar na matriz##########################################
	//aqui vou preparar o vetor de resultados/amostras
	//captura o numero de registros e as id das amostras atraves da leitura da tabela documentosponte amarrada com a id do documento
	//ENTRA DE QUAKQUER MANEIRA
	//echo("3xxxxxxxxxxxxxxidDocumento= $idDoc<br>");

	$generica=new tabelagenerica();
	$generica->tabela="documentosponte";
	$generica->campos_valores = array(
			"dpo_amostra_vinculada" => NULL,
		);
	$generica->extras_select =" where  dpo_documento_autonumerador=".$idDoc." order by dpo_amostra_vinculada LIMIT 1";
	//echo("eeeeexxxxxxxxxxxxxxxxxxxxxxxxxxeeeeeeerro $generica->extras_select <br>");
	$generica->selecionaCampos($generica);
	$contaAmostras=0;
	while ($resgenerica = $generica->retornaDados()):
	    $contaAmostras++;
		//$vetorDPO[$contaAmostras]=$resgenerica->dpo_amostra_vinculada;
		$amostraLong=$resgenerica->dpo_amostra_vinculada;
		
		$vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);
		//aqui temos um abacaxi para resolver
		//se a pessoa joga uma amostra de previa FNALIDADE=PREVIA a amostra vai ter numero na previa
		//mas se o laboratorio for convencional e tiver uma so listagem este campo nao sera usado e viaria zero ali
		//entao eu acho que no iforme deveria fazer um teste: se o numero previa for zero ele imprime o numero definitiva
		$numeroAmostra=$vetorAmostraBruto[25];
		if($numeroAmostra==0)$numeroAmostra=$vetorAmostraBruto[1];
		$vetorResultados[1][$contaAmostras]=$numeroAmostra."/".substr($vetorAmostraBruto[36],2,2);//amostra
		$vetorResultados[2][$contaAmostras]=$vetorAmostraBruto[4];//pureza
		$vetorResultados[3][$contaAmostras]=$vetorAmostraBruto[17];//mat.inerte
		$vetorResultados[4][$contaAmostras]=$vetorAmostraBruto[18];//outras esp
		$vetorResultados[5][$contaAmostras]=$vetorAmostraBruto[20].'/'.$vetorAmostraBruto[93].'g';//dosn
		$vetorResultados[6][$contaAmostras]=$vetorAmostraBruto[3];//germinacao
		$vetorResultados[7][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'PMS')."g";
		//vai capturar o valor de v2 onde esta a viabilidade
		$valor="-N-";
		if($objetocalculo->captura_OD_Especifica($amostraLong,'TZO')!='-N-'):
			///se o cliente é tabajara ou se é rio grande do sul entao preeenche com -O-///////
		    $sessao=new sessao();
			$generica=new tabelagenerica();
			$generica->tabela="rean1";
			$generica->campos_valores = array(
					"rea_v2" => NULL,
				);
			$generica->extras_select =" where rea_teste='TZO' &&  rea_ficha=".$amostraLong;
		    $generica->selecionaCampos($generica);
			while ($resgenerica = $generica->retornaDados()):
				$valor=$resgenerica->rea_v2;
		    endwhile;
		    $vetorResultados[8][$contaAmostras]=$valor."%";
		endif;	
		//$vetorResultados[9][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'EAC');
      
        //aqui cria as observacoes com as outras determincaoes
	    $linhasOutrasDeterminacoes=0;
        $vetorOutrasDeteminacoes="";
        //captura pms que para dimicoron é pmg
	    if($objetocalculo->captura_OD_Especifica($amostraLong,'PMS')!='-N-'):
	        $linhasOutrasDeterminacoes++;
            //$vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Peso de mil sementes:'.$objetocalculo->captura_OD_Especifica($amostraLong,'PMS');
            if($cliente=='DIMICRON'):
			  //$vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Peso de mil grãos:'.$objetocalculo->captura_OD_Especifica($amostraLong,'PMS')."g";
			endif;  
        endif;
		//vigor eac
	    if($objetocalculo->captura_OD_Especifica($amostraLong,'EAC')!='-N-'):
	        $linhasOutrasDeterminacoes++;
           // $vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Vigor por envelhecimento acelerado(48h -41ºC):'.$objetocalculo->captura_OD_Especifica($amostraLong,'EAC')."%";
           $vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Vigor:'.$objetocalculo->captura_OD_Especifica($amostraLong,'EAC')."%";

        endif;
		//tzo
	    if($objetocalculo->captura_OD_Especifica($amostraLong,'TZO')!='-N-'):
	        $linhasOutrasDeterminacoes++;
            $vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Vigor por tetrazólio:'.$objetocalculo->captura_OD_Especifica($amostraLong,'TZO');
        endif;
	
		//$base[2][2]=$vetorDadosDocumento[19];




	endwhile;//fecha o whule que percorre todas amostras
	

	
	//echo("4xxxxxxxxxxxxxxidDocumento= $idDoc  contaAmostras =$contaAmostras $vetorDPO[1]<br>");
    //vai pegar os dados da amopstra la na classe calculo pois ja tem a id da amostra
	$vetorResultados[1][0]="Nº da Amostra";
	$vetorResultados[2][0]="Pureza(%)";
	$vetorResultados[3][0]="Mat.Inerte(%)";
	$vetorResultados[4][0]="Outras Especies(%)";
	$vetorResultados[5][0]="Determinação de outras espécies por número";
	$vetorResultados[6][0]="Germinação(%)";
	$vetorResultados[7][0]="Outra Determinação:(P.M.S.)";//aqui vai a sigla da outra det
	if($cliente=='DIMICRON'):
	    $vetorResultados[7][0]="PMG";//aqui DIMICRON OBEDECE A LEI.....
	    $vetorResultados[8][0]="Tetrazólio(Viabilidade)";
    endif;		
	//$vetorResultados[9][0]="Outra Determinação(Env.Acelerado)";
 
	 //definir a subcotas logo apos a legenda comentada, para ser facil de achar e regurar a calibração
     /////////////////AQUI IMPRIME O CORPO/////////////////////
	 $cota3=88;
	 $pdf->setXY(61,$cota3);
	 $pdf->SetFont('Times','B',10);
     $pdf->Cell(100,$larguraDaLinha,utf8_decode('RESULTADO DA ANÁLISE') ,0,1,'C');	
	 //resultaso sao impressoas a partr da cota 3
	 $pdf->SetFont('Times','',8);
	 $cotaLinha=$cota3;//define o começo da impressao de resultados , apenas para naoa ficar em cima da  linha divisoria muito grossa
	 $alturaLinhaResultados=8;//define a largura das linhas de resultados
     for($L=1;$L<=9;$L++):
         $hachuriado=0;
	     if($L==1)$hachuriado=1;
		 $cotaLinha+=$alturaLinhaResultados;
	     $pdf->setXY($margem,$cotaLinha);
	     $alinhamento="L";
		 //aqui era ate 4 e eu coloquei ate 1
    	 for($i=0;$i<=1;$i++):
  	      	 $larguraColuna=90;
        	 if($i>0):
 			     $larguraColuna=89;//so a primeira coluna é mais larga
			     $alinhamento="C"; //so a primeira coluna é alinhada a esquerda
			 endif;
			 $pdf->Cell($larguraColuna,$alturaLinhaResultados,utf8_decode($vetorResultados[$L][$i]),1,0,$alinhamento,$hachuriado);
		 endfor;//PERCORRE AS COLUNAS
		 //coloca uma linhas extra para identificar as outras determinacoes
	 	 if($L==6):
		     $cotaLinha+=$alturaLinhaResultados;
		     $pdf->setXY($margem,$cotaLinha);
	         $pdf->Cell($larguraUtil,$alturaLinhaResultados,utf8_decode("OUTRAS DETERMINAÇÕES"),1,0,'C',1);
		 endif;
	 endfor;//PERCORRE AS LINHAS


	 

	 
     ########################################observacoes###########################
	 //retangulo das observacoes
     //retangulo e risco vertical entre contaminantes e observacoes
	 $cotaLinha+=$alturaLinhaResultados;
	 $posicao=110;
	 $cota4=$cotaLinha;
	 $alturaRetangulo=50;
     $pdf->Rect($margemEsquerda,$cota4,$larguraUtil,$alturaRetangulo); 	 
     $pdf->Line($posicao,$cota4,$posicao,$cota4+$alturaRetangulo);

 	 $base[1][2]="OBSERVAÇÕES:";
     //aqui passa as observacoes tal como estao no documento	 
	 $base[2][2]=$vetorDadosDocumento[19];
	 $base[3][2]=$vetorDadosDocumento[20];
	 $base[4][2]=$vetorDadosDocumento[21];
	 $base[5][2]=$vetorDadosDocumento[22];
	 $base[6][2]=$vetorDadosDocumento[23];
	 $base[7][2]=$vetorDadosDocumento[24];
	 $base[8][2]=$vetorDadosDocumento[25];
	 $base[9][2]=$vetorDadosDocumento[26];
	 
	 
	 
	 
	 //aqui tem que rebaixar as observacoes pois pode ser que alguem tenha colocado algo la e deve preservar
     if($linhasOutrasDeterminacoes>0)://so vai fazer alguma coisa se realemente tiver outras determinacoes
        //COMECA EMPURRANDO PARA BAIXO OS CONTEUDOS 
	    for($rebaixar=9-$linhasOutrasDeterminacoes;$rebaixar>=2;$rebaixar--)://comeca na linha 9 desprezando as ultimas
		  $base[$rebaixar+$linhasOutrasDeterminacoes][2]= $base[$rebaixar][2];		
		endfor; 
	 endif;	
	 
	 //aqui coloca as determinacoes nos espacos criados pelo rebaixamento 
     for($j=1;$j<=$linhasOutrasDeterminacoes;$j++):
	     $base[1+$j][2]=$vetorOutrasDeteminacoes[$j];
     endfor; 

	 //aqui inverte a data
	 $data=$vetorCabecalho[17];
	 $dia=substr($data,8,2);
	 $mes=substr($data,5,2);
	 $ano=substr($data,0,4);//ano   1951-02-28
	 $dataBoletim=$dia."/".$mes."/".$ano;
	 $cotaLinha=$cota4;
	 //aqui vai imprimir observacoes
     for($L=1;$L<=9;$L++)
	 {
	     $conteudo=$base[$L][2];
	     if(strlen($conteudo)>2)
		 {
			 $pdf->setXY($posicao,$cotaLinha);
			 $pdf->Cell(100,$larguraDaLinha,utf8_decode($base[$L][2]),0,1,'L');	
			 $cotaLinha+=$larguraDaLinha;
		 }
	 }
	 //aqui imprime o -o- independente de ter colocado ou nao la no campo de observacoes 
	 $pdf->SetXY($posicao,$cotaLinha+4);
	 $pdf->Cell(100,$larguraDaLinha,'-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-',0,1,'L');	

	
     ###########OUTRAS ESPECIES CONTAMINANTES########################################
     $contaminantesDocumento=$objetocalculo->acharContaminantesDocumento($idDoc);
     $cotaDOSN=$cotaLinha;//ele incrementa a cota linha e deixa espaco para imprimir logo a seguir os contaminantes	      
     $pdf->setXY($margem,$cotaLinha);
     //se o primeiro  item estver vazio ele nem siquer imprime a esperessao  OUTRAS ESPECIES CONTAMINANTES
	 $pdf->setXY($margem,$cota4);
     $pdf->Cell(100,$larguraDaLinha,utf8_decode('DETERMINAÇÃO DE OUTRAS ESPECIES POR NÚMERO:'),0,1,'L');	
	 $pdf->SetFont('Times','I',8);
	 $cotaLinha=$cota4;
	 //aqui vai um casuismo
	 //como a dimicron so usa imprimir uma amostra no informe
	 //nao precisa informar o numero da amostra que vem justamente
	 //na primeira linha, entao comeco a imprimir a partir da segunda linha
     for($L=2;$L<=10;$L++)
	 {
	      $conteudo=$contaminantesDocumento[$L];
		  if(substr($conteudo,0,6)=='-O-O-O')$pdf->SetFont('Times','',8);
		  if(strlen($conteudo)>2):
		 	 $cotaLinha+=$larguraDaLinha;
			 $alturaRetangulo+=$larguraDaLinha;
	         $pdf->SetXY($margem,$cotaLinha);
			 $pdf->Cell(180,$larguraDaLinha,utf8_decode($conteudo),0,1,'L');	
			 //
			 
			 
			 
		  endif;
	 }
	 $pdf->SetFont('Times','',8);


	 
	 
	 ########################################ASSINATURAs######################################
	 //terminou de imprimir resultado agora vi para observacoes tecico e assinatura
     $cota4+=$alturaRetangulo;
     $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
     $cota7=$cota4;
	 $cotaLinha=$cota7;
     $pdf->setXY(10,$cota7-10);
 	 //$base[1][3]=$vetorTecnico[6].', '.$vetorDadosDocumento[27];
	 $base[1][3]=$vetorCabecalho[6].", ".$vetorDadosDocumento[27];//local e data

	 $base[2][3]="";
	 $base[3][3]="";
	 $base[4][3]=$vetorTecnico[1];
	 $base[5][3]="RENASEM:".$vetorTecnico[3]."  CREA:".$vetorTecnico[2];
	 $base[6][3]=$vetorTecnico[4];
	 $pdf->SetXY(100,$cota7);$pdf->Cell(90,5,utf8_decode($base[1][3]),0,1,'L');	
     $pdf->Line(100,$cota7+25,180,$cota7+25);//linha separadora horizontal
	 $pdf->SetXY(100,$cota7+26);$pdf->Cell(90,5,utf8_decode($base[4][3]),0,1,'C');	
	 $pdf->SetXY(100,$cota7+31);$pdf->Cell(90,5,utf8_decode($base[5][3]),0,1,'C');	
	 //$pdf->SetXY(100,$cota7+25);$pdf->Cell(90,5,utf8_decode($base[6][3]),0,1,'C');	//ESTE ITEM É ASSINATURA SIM;NAO	 
	
	 //numero da via
	 $cota7+=36;
	 $cotaVia=$cota7;
	 $pdf->setXY(180,$cotaVia);
	 $pdf->SetFont('Times','B',12);
	 $numeroVias=$sessao->getvar('controle2');
	 if($numeroVias>1):
	     $viaAtual=$sessao->getvar('controle1');
		 $viaAtual++;
	     $sessao->setVar('controle1',$viaAtual);
		 $viaFinal=$viaAtual.'ª via';
     else:
         $viaFinal=$sessao->getvar('controle1');
     endif;	
	 //$viaFinal='xxxxxxxxxxxxxxx';
	 $pdf->Cell(20,5,utf8_decode($viaFinal),0,1,'C');	

	
	
	
		 
	ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
